
Katello - Feature #31225

Actions::Pulp3::ImportMigration should be cancellable

10/30/2020 08:34 PM - Ian Ballou

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

ImportMigration should be cancelled when a Pulp 3 migration task needs to be cancelled.

Related issues:

Related to Katello - Feature #31195: Add rake task that kills running pulp 3 ... Closed

Is duplicate of Katello - Bug #29080: provide better progress reporting for k... Closed

History

#1 - 10/30/2020 08:34 PM - Ian Ballou

- Tracker changed from Bug to Feature

#2 - 10/30/2020 08:34 PM - Ian Ballou

- Related to Feature #31195: Add rake task that kills running pulp 3 migration tasks added

#3 - 11/04/2020 07:07 PM - Ian Ballou

- Target version changed from Katello 3.18.0 to Katello 4.0.0

- Triaged changed from No to Yes

Since this relates to migration task cancelling, we need to determine the priority level and whether or not it should be on 3.18.

#4 - 11/05/2020 02:35 PM - Ian Ballou

- Target version changed from Katello 4.0.0 to Katello 3.18.0

This should stay on 3.18 because it doesn't make sense to have once Pulp 2 is gone.

#5 - 11/11/2020 07:38 PM - Jonathon Turel

- Category set to Repositories

#6 - 12/10/2020 04:19 PM - Ian Ballou

- Status changed from New to Duplicate

- Target version changed from Katello 3.18.0 to Katello Recycle Bin

#7 - 12/10/2020 04:19 PM - Ian Ballou

- Is duplicate of Bug #29080: provide better progress reporting for katello pulp3 content migration added

#8 - 12/10/2020 04:19 PM - Ian Ballou

This was fixed in #29080
